import { NDKEvent } from '@nostr-dev-kit/ndk'
import { validateJobRequest } from '../validations/index.js'
import { inProgress } from '../jobs/reactions/in-progress.js'
import { log } from '../main.js'

export async function onNewSummarizationJob(event: NDKEvent): Promise<void> {
  console.log('New summarization job')

  await validateJobRequest(event).catch((err) =>
    log(`Job validation error: `, err)
  )

  inProgress(event).catch((err) => log('Processing event error: ', err))
}
